Package org.silverpeas.components.websites.service

## Class DefaultWebSiteService

- java.lang.Object
- - org.silverpeas.components.websites.service.DefaultWebSiteService

- All Implemented Interfaces:
    `WebSiteService`

      @Service
      public class DefaultWebSiteService
      extends Object
      implements WebSiteService

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.node.model.NodePK` | `addFolder​(org.silverpeas.core.node.model.NodeDetail subFolder, org.silverpeas.core.node.model.NodePK fatherId, org.silverpeas.core.admin.user.model.UserDetail currentUser)` |
    `void` | `addPublicationToTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `org.silverpeas.core.node.model.NodePK` | `addToFolder​(org.silverpeas.core.node.model.NodePK fatherId, org.silverpeas.core.node.model.NodeDetail subTopic)` |
    `void` | `associateIcons​(String componentId, String id, Collection<String> liste)` |
    `void` | `changePubsOrder​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK nodePK, int direction)` |
    `void` | `changeTopicsOrder​(String way, org.silverpeas.core.node.model.NodePK topicPK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `String` | `createPublication​(String componentId, org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `String` | `createWebSite​(String componentId, SiteDetail description, org.silverpeas.core.admin.user.model.UserDetail currentUser)` |
    `void` | `deleteFolder​(org.silverpeas.core.node.model.NodePK pkToDelete)` |
    `void` | `deletePublication​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)` |
    `void` | `deleteWebSites​(String componentId, Collection<String> liste)` | deleteWebSites
    `void` | `dePublish​(String componentId, Collection<String> liste)` | dePublish
    `Collection<org.silverpeas.core.node.model.NodePK>` | `getAllFatherPK​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)` |
    `Collection<IconDetail>` | `getAllIcons​(String componentId)` |
    `Collection<SiteDetail>` | `getAllWebSite​(String componentId)` | getAllWebSite
    `org.silverpeas.core.node.model.NodeDetail` | `getFolderDetail​(org.silverpeas.core.node.model.NodePK pk)` |
    `Collection<IconDetail>` | `getIcons​(String componentId, String id)` | getIcons
    `String` | `getIdPublication​(String componentId, String idSite)` | getIdPublication
    `String` | `getNextId​(String componentId)` |
    `org.silverpeas.core.contribution.publication.model.PublicationDetail` | `getPublicationDetail​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)` |
    `int` | `getSilverObjectId​(String componentId, String id)` | ContentManager utilization to use PDC *
    `SiteDetail` | `getWebSite​(String componentId, String id)` | getWebSite
    `List<SiteDetail>` | `getWebSites​(String componentId, List<String> ids)` |
    `FolderDetail` | `goTo​(org.silverpeas.core.node.model.NodePK pk)` |
    `void` | `index​(String componentId)` |
    `void` | `publish​(String componentId, Collection<String> liste)` |
    `void` | `removePublicationFromTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `void` | `updateClassification​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK, List<String> arrayTopic)` |
    `org.silverpeas.core.node.model.NodePK` | `updateFolder​(org.silverpeas.core.node.model.NodeDetail topic, org.silverpeas.core.node.model.NodePK fatherPK)` |
    `void` | `updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, String componentId)` |
    `void` | `updateWebSite​(String componentId, SiteDetail description)` | updateWebSite

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### goTo

          public FolderDetail goTo​(org.silverpeas.core.node.model.NodePK pk)

      Specified by:
        `goTo` in interface `WebSiteService`

    - #### addToFolder

          public org.silverpeas.core.node.model.NodePK addToFolder​(org.silverpeas.core.node.model.NodePK fatherId,
                                                                   org.silverpeas.core.node.model.NodeDetail subTopic)

    - #### addFolder

          public org.silverpeas.core.node.model.NodePK addFolder​(org.silverpeas.core.node.model.NodeDetail subFolder,
                                                                 org.silverpeas.core.node.model.NodePK fatherId,
                                                                 org.silverpeas.core.admin.user.model.UserDetail currentUser)

      Specified by:
        `addFolder` in interface `WebSiteService`
      Parameters:
        `subFolder` -
        `fatherId` -
        `currentUser` -
      Returns:

    - #### updateFolder

          public org.silverpeas.core.node.model.NodePK updateFolder​(org.silverpeas.core.node.model.NodeDetail topic,
                                                                    org.silverpeas.core.node.model.NodePK fatherPK)

      Specified by:
        `updateFolder` in interface `WebSiteService`
      Parameters:
        `topic` -
        `fatherPK` -
      Returns:
        a NodePK

    - #### getFolderDetail

          public org.silverpeas.core.node.model.NodeDetail getFolderDetail​(org.silverpeas.core.node.model.NodePK pk)

      Specified by:
        `getFolderDetail` in interface `WebSiteService`
      Parameters:
        `pk` -
      Returns:
        a NodeDetail

    - #### deleteFolder

          public void deleteFolder​(org.silverpeas.core.node.model.NodePK pkToDelete)

      Specified by:
        `deleteFolder` in interface `WebSiteService`
      Parameters:
        `pkToDelete` - the topic identifier to delete

    - #### changeTopicsOrder

          public void changeTopicsOrder​(String way,
                                        org.silverpeas.core.node.model.NodePK topicPK,
                                        org.silverpeas.core.node.model.NodePK fatherPK)

      Specified by:
        `changeTopicsOrder` in interface `WebSiteService`
      Parameters:
        `way` -
        `topicPK` -
        `fatherPK` -

    - #### getPublicationDetail

          public org.silverpeas.core.contribution.publication.model.PublicationDetail getPublicationDetail​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)

      Specified by:
        `getPublicationDetail` in interface `WebSiteService`
      Parameters:
        `pk` -
      Returns:

    - #### createPublication

          public String createPublication​(String componentId,
                                          org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

      Specified by:
        `createPublication` in interface `WebSiteService`
      Parameters:
        `componentId` -
        `pubDetail` -
      Returns:

    - #### updatePublication

          public void updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                        String componentId)

      Specified by:
        `updatePublication` in interface `WebSiteService`
      Parameters:
        `pubDetail` -

    - #### deletePublication

          public void deletePublication​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)

      Specified by:
        `deletePublication` in interface `WebSiteService`
      Parameters:
        `pubPK` -

    - #### addPublicationToTopic

          public void addPublicationToTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                            org.silverpeas.core.node.model.NodePK fatherPK)

      Specified by:
        `addPublicationToTopic` in interface `WebSiteService`
      Parameters:
        `pubPK` -
        `fatherPK` -

    - #### removePublicationFromTopic

          public void removePublicationFromTopic​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                                 org.silverpeas.core.node.model.NodePK fatherPK)

      Specified by:
        `removePublicationFromTopic` in interface `WebSiteService`

    - #### getAllFatherPK

          public Collection<org.silverpeas.core.node.model.NodePK> getAllFatherPK​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)

      Specified by:
        `getAllFatherPK` in interface `WebSiteService`
      Parameters:
        `pubPK` -
      Returns:

    - #### getIdPublication

          public String getIdPublication​(String componentId,
                                         String idSite)

      getIdPublication
      Specified by:
        `getIdPublication` in interface `WebSiteService`

    - #### updateClassification

          public void updateClassification​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                           List<String> arrayTopic)

      Specified by:
        `updateClassification` in interface `WebSiteService`

    - #### changePubsOrder

          public void changePubsOrder​(org.silverpeas.core.contribution.publication.model.PublicationPK pubPK,
                                      org.silverpeas.core.node.model.NodePK nodePK,
                                      int direction)

      Specified by:
        `changePubsOrder` in interface `WebSiteService`
      Parameters:
        `pubPK` -
        `nodePK` -
        `direction` -

    - #### getAllWebSite

          public Collection<SiteDetail> getAllWebSite​(String componentId)

      getAllWebSite
      Specified by:
        `getAllWebSite` in interface `WebSiteService`

    - #### getWebSite

          public SiteDetail getWebSite​(String componentId,
                                       String id)

      getWebSite
      Specified by:
        `getWebSite` in interface `WebSiteService`
      Parameters:
        `id` -
      Returns:

    - #### getWebSites

          public List<SiteDetail> getWebSites​(String componentId,
                                              List<String> ids)

      Specified by:
        `getWebSites` in interface `WebSiteService`
      Parameters:
        `ids` -
      Returns:

    - #### getIcons

          public Collection<IconDetail> getIcons​(String componentId,
                                                 String id)

      getIcons
      Specified by:
        `getIcons` in interface `WebSiteService`

    - #### getNextId

          public String getNextId​(String componentId)

      Specified by:
        `getNextId` in interface `WebSiteService`

    - #### getAllIcons

          public Collection<IconDetail> getAllIcons​(String componentId)

      Specified by:
        `getAllIcons` in interface `WebSiteService`

    - #### createWebSite

          public String createWebSite​(String componentId,
                                      SiteDetail description,
                                      org.silverpeas.core.admin.user.model.UserDetail currentUser)

      Specified by:
        `createWebSite` in interface `WebSiteService`

    - #### associateIcons

          public void associateIcons​(String componentId,
                                     String id,
                                     Collection<String> liste)

      Specified by:
        `associateIcons` in interface `WebSiteService`

    - #### publish

          public void publish​(String componentId,
                              Collection<String> liste)

      Specified by:
        `publish` in interface `WebSiteService`

    - #### dePublish

          public void dePublish​(String componentId,
                                Collection<String> liste)

      dePublish
      Specified by:
        `dePublish` in interface `WebSiteService`

    - #### deleteWebSites

          public void deleteWebSites​(String componentId,
                                     Collection<String> liste)

      deleteWebSites
      Specified by:
        `deleteWebSites` in interface `WebSiteService`

    - #### index

          public void index​(String componentId)

      Specified by:
        `index` in interface `WebSiteService`

    - #### updateWebSite

          public void updateWebSite​(String componentId,
                                    SiteDetail description)

      updateWebSite
      Specified by:
        `updateWebSite` in interface `WebSiteService`

    - #### getSilverObjectId

          public int getSilverObjectId​(String componentId,
                                       String id)

      ContentManager utilization to use PDC *
      Specified by:
        `getSilverObjectId` in interface `WebSiteService`